<div infiniteScroll [infiniteScrollDistance]="0.2" [infiniteScrollThrottle]="300" (scrolled)="onScroll()">
  <div class="follow-page">
    <div class="follow-title">{{ type | titlecase }}</div>
    <div class="item" *ngFor="let follow of follows$ | async">
      <div
        class="follow-thumbnail"
        [ngClass]="withStory(follow.has_stories.length > 0) ? 'with-story' : ''"
        (click)="navigateBasedOnStoriesAndUserId(follow.has_stories, follow.id)"
        (click)="follow.has_stories.length > 0 ? openStoryModal(follow) : ''"
      >
        <img alt="" [src]="follow.image ? getImageUrl(follow.image) : 'assets/images/no-image.png'" alt="" />
      </div>

      <div class="follow-name" (click)="navigateBasedOnUserId(follow.id)">{{ follow.fname }} {{ follow.lname }}</div>
      <div class="primary button" (click)="onFollow(follow)" *ngIf="userId !== follow.id">
        {{ follow.is_followed == 0 ? 'Follow' : 'Unfollow' }}
      </div>
    </div>
  </div>
</div>
